import { DocumentsApi, Configuration, LibrariesApi } from "../openapi";

// import axios from "axios";
// import router from "@/router";
import {useUserStore} from "@/store/user";
// // const config = useConfigStore()
// import config from "@/plugins/config"


// instance.interceptors.request.use(
//     (config) => {
//         if (config.headers === undefined) {
//             // config.headers = {};
//         }

//         config.headers["Accept"] = "application/json";

//         // @ts-ignore
//         if (process.env.NODE_ENV === "development") {
//             // user.jwt_token 取中间
//             config.headers["X-Jwt-Payload"] = user.jwt_token?.split(".")[1]
//         } else {
//             config.headers["Authorization"] = "Bearer " + user.jwt_token;
//         }

//         return config;
//     },
//     (error) => {
//         console.error("axios request error", error);
//         return Promise.reject(error);
//     }
// );

// instance.interceptors.response.use(
//     (res) => {
//         return Promise.resolve(res);
//     },
//     (error) => {
//         console.error("axios response error", error);

//         return Promise.reject(error);
//     }
// );

// export default instance;

const userStore = useUserStore()

const conf = new Configuration
conf.basePath = "https://document.awa.im/api"
conf.apiKey = "Bearer " + userStore.jwt_token
const document = new DocumentsApi(conf);
const library = new  LibrariesApi(conf);


export {
    document, library
}
